{% extends "master.twig" %}

{% block title %}{{ user.name }}'s profile{% endblock %}
{% block description %}SFNW Omnibus – profile of {{ user.name }}, {{ user.title }}{% endblock %}

{% block body %}

    <div class="three wide column">
        <div class="ui sticky raised segment">
            <div class="ui mini ribbon label">{{ user.role.name|upper }}</div>

            <img class="ui centered small circular shadowed image" src="{{ user.avatar }}">

            <h1 class="ui center aligned header">
                {{ user.name }}
                <div class="sub header">
                    {{ user.title }}
                </div>
            </h1>

            {% if user.link is not empty %}
                <a class="ui center aligned image label" href="{{ user.link }}">
                    <img src="{{ get_icon(user.link) }}">{{ get_name(user.link) }}
                </a>
            {% endif %}

            <div class="ui divider"></div>

            <table class="ui very basic very compact table">
                <tr data-tooltip="{{ user.joined|time_diff }}">
                    <td>Member since</td>
                    <td><strong>{{ user.joined|date("d.m.Y H:i") }}</strong></td>
                </tr>
                <tr data-tooltip="{{ user.last_seen|time_diff }}">
                    <td>Last seen</td>
                    <td><strong>{{ user.last_seen|date("d.m.Y H:i") }}</strong></td>
                </tr>
            </table>

            <div class="ui divider"></div>

            <span>Wrote <strong>{{ counts.comments }}</strong> comment{{ counts.comments != 1 ? 's' : '' }}</span><br>
            <span>Bookmarked <strong>{{ counts.bookmarks }}</strong> lecture{{ counts.bookmarks != 1 ? 's' : '' }}</span><br>
            <span>Favourited <strong>{{ counts.favourites }}</strong> lecture{{ counts.favourites != 1 ? 's' : '' }}</span><br>

            {% if user.id == user_self.id %}
                <div class="ui divider"></div>

                <a class="ui fluid button" href="profile/update">Edit profile</a>

            {% endif %}
        </div>
    </div>

    <div class="eight wide column">

        <div class="ui raised segment">
            {{ user.bio|raw }}
        </div>

        <div class="ui raised segment">
            <h3>Comments</h3>

            {% if user is empty %}

                <div class="ui message">
                    <div class="header">
                        Join us!
                    </div>
                    <p>You need to be a user to leave comments. <a class="black-link" href="/register">Register now!</a></p>
                </div>

            {% elseif user.muted is not empty %}

                <div class="ui negative message">
                    <div class="header">
                        Muted!
                    </div>
                    <p>You have been muted by our staff! Contact us if you believe it to be a mistake.</p>
                </div>

            {% else %}

                <form method="POST" class="ui form" id="comment_form">
                    <div class="ui error message"></div>
                    <textarea name="comment" id="comment" class="form-control" placeholder="Enter our comment" rows="5"></textarea>
                    <div class="ui bottom attached menu">
                        <div class="item char-counter"></div>
                        <button type="submit" name="submit" id="submit" class="ui right floated button item sendmessage" value="Submit">
                            Send
                        </button>
                    </div>

                    <input type="hidden" name="thread" id="thread" value="{{ user.comments }}">
                    <input type="hidden" name="token" id="comment-token" value="{{ token }}">
                </form>
                <br>

            {% endif %}

            <div class="ui comments" id="display_comment"></div>
        </div>
    </div>

    <script async src="{{ asset('assets/js/comments.min.js') }}"></script>

    <script>
        // Report comment
        function reportComment(id) {
            var ajax = $.ajax({
                type: 'post',
                url: '/backend/internal_api/report.php',
                data: {
                    id: id
                }
            });

            ajax.fail(function (data) {
                msg = 'E:: ' + data;
            });

            ajax.done(function (data) {
                msg = 'S:: ' + data;
            });

            ajax.always(function (data) {
                toastr.success("The comment will be reviewed by our staff!", "Success!");
                loadComments('ASC')
            });
        }
    </script>


{% endblock %}
